USN-5378-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5378-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5378-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5378-1
Related
Published
2022-04-13T12:37:06.801818Z
Modified
2022-04-13T12:37:06.801818Z
Summary
gzip vulnerability
Details

Cleemy Desu Wayo discovered that Gzip incorrectly handled certain filenames. If a user or automated system were tricked into performing zgrep operations with specially crafted filenames, a remote attacker could overwrite arbitrary files.

References

Affected packages

Ubuntu:20.04:LTS / gzip

Package

Name
gzip

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.10-0ubuntu4.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "gzip-win32": "1.10-0ubuntu4.1",
            "gzip": "1.10-0ubuntu4.1"
        }
    ]
}

Ubuntu:18.04:LTS / gzip

Package

Name
gzip

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.6-5ubuntu1.2

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "gzip-win32": "1.6-5ubuntu1.2",
            "gzip": "1.6-5ubuntu1.2"
        }
    ]
}